#!/bin/sh
#
# gvSIG. Desktop Geographic Information System.
#
# Copyright (C) 2007-2013 gvSIG Association.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA  02110-1301, USA.
#
# For any additional information, do not hesitate to contact us
# at info AT gvsig.com, or visit our website www.gvsig.com.
#


#
# Plugin autorun
#

PLUGIN_NAME=$(basename "$PLUGIN_FOLDER")

logger_info "Using gdal 1.11"

add_library_path "${PLUGIN_FOLDER}/gdal"
add_classpath "${PLUGIN_FOLDER}/gdal/java/gdal.jar"
#export GDAL_DATA="${PLUGIN_FOLDER}/gdal/data-1.11.0"
export GDAL_DATA="${PLUGIN_FOLDER}/gdal/data-2.2.1"

list_shared_library_dependencies "$PLUGIN_FOLDER/gdal/libgdaljni.dylib"
list_shared_library_dependencies "$PLUGIN_FOLDER/gdal/libgdalconstjni.dylib"
list_shared_library_dependencies "$PLUGIN_FOLDER/gdal/libogrjni.dylib"
list_shared_library_dependencies "$PLUGIN_FOLDER/gdal/libosrjni.dylib"
list_shared_library_dependencies "$PLUGIN_FOLDER/gdal/libproj.dylib"

